import request from '@/utils/request'

// 查询产线/工位信息列表
export function listBaseProductLine(query) {
  return request({
    url: '/mes/base/baseProductLine/list',
    method: 'get',
    params: query
  })
}

// 查询产线/工位信息详细
export function getBaseProductLine(objId) {
  return request({
    url: '/mes/base/baseProductLine/' + objId,
    method: 'get'
  })
}

// 新增产线/工位信息
export function addBaseProductLine(data) {
  return request({
    url: '/mes/base/baseProductLine',
    method: 'post',
    data: data
  })
}

// 修改产线/工位信息
export function updateBaseProductLine(data) {
  return request({
    url: '/mes/base/baseProductLine',
    method: 'put',
    data: data
  })
}

// 删除产线/工位信息
export function delBaseProductLine(objId) {
  return request({
    url: '/mes/base/baseProductLine/' + objId,
    method: 'delete'
  })
}

// 查询产线/工位信息下拉框列表
export function getBaseProductLineList(query) {
  return request({
    url: '/mes/base/baseProductLine/getBaseProductLineList',
    method: 'get',
    params: query
  })
}
